Skip to content

bots.get

One agent: its draft if it has one, else what is live.

Returns the full agent including workflow_definition (nodes and edges), template_context_variables, workflow_configurations, and run statistics.

Reference

GET/api/v1/workflows/fetch/{workflow_id}

Auth
API key in X-API-Key
Content
none
Returns
200 · WorkflowResponse

Get a single workflow by ID. If a draft version exists, returns the draft content for editing. Otherwise returns the published version's content.

Arguments

ArgumentInTypeRequiredDescription
workflow_idpathintegerrequired

Example request

curl -X GET "https://api.decibyl.ai/api/v1/workflows/fetch/<workflow_id>" \
  -H "X-API-Key: dcb_your_key"

Response

{
  "id": 1,
  "name": "string",
  "status": "string",
  "is_live": true,
  "visibility": "everyone",
  "created_at": "2026-09-14T09:30:00Z",
  "workflow_definition": {},
  "current_definition_id": 1,
  "template_context_variables": {},
  "call_disposition_codes": {
    "disposition_codes": []
  },
  "total_runs": 1,
  "workflow_configurations": {},
  "version_number": 1,
  "version_status": "string",
  "workflow_uuid": "string"
}

Errors

StatusWhen
404Not found
422Validation Error